Metadata History#
Warning
Deprecation Notice for Vulcan API v1 - We are deprecating Vulcan API v1 to concentrate on the improved functionality of newer versions. V1 will no longer receive new features or enhancements.
New Integrations: Please use Vulcan API v2.
Existing v1 Users: We encourage you to migrate to v2.
SynMax will provide migration guides and proactive support to assist with your transition.
Get metadata history for datacenters
Endpoint#
GET |
https://vulcan.api.synmax.com/beat-ms/api/v1/metadata_history |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/beat-ms/api/v1/metadata_history" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v1 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
metadata_history_resp = vulcan_api_client.metadata_history()
metadata_history_df = metadata_history_resp.df()
metadata_history_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
code |
string |
Unique code for the api response |
[MH123] |
name |
string |
Name of the column |
plant_id |
type |
string |
Data type of the column |
INTEGER |
n |
integer |
Number of records returned |
503 |